Subject: bug#45177: 27.1; Access to invoking top level command in minibuffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 04 Aug 2021 07:51:17 +0200

Stefan Monnier <[email-masked]> writes:

> Changing the behavior based on the caller's name is a very bad idea.
> It's a bit like `called-interactively-p`, except it's worse because
> you're looking for even more ill-defined data than just a boolean.

It's not ideal to look at the name, of course, but I think the user
should have a mechanism to do so anyway -- it's an easy and practical
way for users to tweak stuff.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no